Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.start
Class ServiceStarter

    java.lang.Object
      com.sun.jini.start.ServiceStarter

public class ServiceStarter
extends Object

This class provides the main routine for starting shared groups, non-activatable services, and activatable services. The following implementation-specific items are discussed below:

- Configuring ServiceStarter
- Logging

### Configuring ServiceStarter

This implementation of `ServiceStarter` supports the following configuration entries, with component `com.sun.jini.start`:

• | `loginContext`
--- | ---
| Type: | `LoginContext`
| Default: | `null`
| Description: | If not `null`, specifies the JAAS login context to use for performing a JAAS login and supplying the `Subject` to use when running the service starter. If `null`, no JAAS login is performed.

• | `serviceDescriptors`
--- | ---
| Type: | `ServiceDescriptor`[]
| Default: no default
| Description: | Array of service descriptors to start.

### Loggers and Logging Levels

The implementation uses the `Logger`, named `com.sun.jini.start.service.starter`. The following table describes the type of information logged as well as the levels of information logged.

`com.sun.jini.start.service.starter`
Level | Description
--- | ---
`SEVERE` | for problems that prevent service creation from proceeding
`WARNING` | for problems with service creation that don't prevent further processing
`FINER` | for high level service creation operation tracing
`FINEST` | for low level service creation operation tracing

Since:
  2.0

Method Summary
`static void` | `main(String[] args)` The main method for the `ServiceStarter` application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  The main method for the `ServiceStarter` application. The `args` argument is passed directly to `ConfigurationProvider.getInstance()` in order to obtain a `Configuration` object. This configuration object is then queried for the `com.sun.jini.start.serviceDescriptors` entry, which is assumed to be a `ServiceDescriptor[]`. The `create()` method is then called on each of the array elements.

  Parameters:
    `args` - `String[]` passed to `ConfigurationProvider.getInstance()` in order to obtain a `Configuration` object.
  See Also:
    `ServiceDescriptor`, `SharedActivatableServiceDescriptor`, `SharedActivationGroupDescriptor`, `NonActivatableServiceDescriptor`, `Configuration`, `ConfigurationProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved